package com.fs.crm.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 日程事项对象 crm_event
 *
 * @author fs
 * @date 2023-02-14
 */
public class CrmEvent extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long eventId;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 日程类型 */
    @Excel(name = "日程类型")
    private Integer eventType;

    /** 事件时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "事件时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date eventTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date finishTime;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** $column.columnComment */
    @Excel(name = "内容")
    private Long companyId;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long companyUserId;

    private Integer status;



    public Long getEventId() {
        return eventId;
    }

    public void setEventId(Long eventId) {
        this.eventId = eventId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getEventType() {
        return eventType;
    }

    public void setEventType(Integer eventType) {
        this.eventType = eventType;
    }

    public Date getEventTime() {
        return eventTime;
    }

    public void setEventTime(Date eventTime) {
        this.eventTime = eventTime;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public Long getCompanyUserId() {
        return companyUserId;
    }

    public void setCompanyUserId(Long companyUserId) {
        this.companyUserId = companyUserId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
